﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace dovizburosu
{
    public partial class Form2 : Form
    {
        ComboBox cb;
        ListBox la, ls;
        public Form2(ComboBox _cb, ListBox _la, ListBox _ls)
        {
            // cb => curun
            // la => alis fiyat listesi
            // ls => satis fiyat listesi
            InitializeComponent();
            cb = _cb;
            la = _la;
            ls = _ls;

            for (int eleman = 0; eleman < cb.Items.Count; eleman++)
            {
                lurun.Items.Add(cb.Items[eleman]);
                lalis.Items.Add(la.Items[eleman]);
                lsatis.Items.Add(ls.Items[eleman]);
            }

        }

        private void bekle_Click(object sender, EventArgs e)
        {
            double alis, satis;
            bool takontrol = Double.TryParse(talis.Text, out alis);
            bool tskontrol = Double.TryParse(tsatis.Text, out satis);

            if (takontrol && tskontrol && turun.Text.Length > 0)
            {
                lurun.Items.Add(turun.Text);
                lalis.Items.Add(talis.Text);
                lsatis.Items.Add(tsatis.Text);

                turun.Clear();
                talis.Clear();
                tsatis.Clear(); // tsatis.Text="";
            }
        }

        private void bduzenle_Click(object sender, EventArgs e)
        {
            double alis, satis;

            bool takontrol = Double.TryParse(talis.Text, out alis);
            bool tskontrol = Double.TryParse(tsatis.Text, out satis);

            if (lurun.SelectedIndex > -1 && takontrol && tskontrol)
            {
                lalis.Items[lurun.SelectedIndex] = talis.Text;
                lsatis.Items[lurun.SelectedIndex] = tsatis.Text;
                talis.Text = "";
                tsatis.Clear();
            }

        }

        private void bcikis_Click(object sender, EventArgs e)
        {
            cb.Items.Clear();
            la.Items.Clear();
            ls.Items.Clear();

            for (int eleman = 0; eleman < lurun.Items.Count; eleman++)
            {
                cb.Items.Add(lurun.Items[eleman]);
                la.Items.Add(lalis.Items[eleman]);
                ls.Items.Add(lsatis.Items[eleman]);
            }


            this.Close();
        }

        private void bdoku_Click(object sender, EventArgs e)
        {
            try
            {
                lurun.Items.Clear();
                lalis.Items.Clear();
                lsatis.Items.Clear();

                string[] satirlar = File.ReadAllLines("urunler.txt");

                char[] ch = { ';' };

                for (int satirno = 0; satirno < satirlar.Length; satirno++)
                {
                    string satir = satirlar[satirno];

                    string[] parcalar = satir.Split(ch); // lurun, lalis, lsatis bilgileri var
                    double alis, satis;

                    bool takontrol = Double.TryParse(parcalar[1], out alis);
                    bool tskontrol = Double.TryParse(parcalar[2], out satis);

                    if (takontrol && tskontrol && parcalar[0].Length > 0)
                    {
                        lurun.Items.Add(parcalar[0]);
                        lalis.Items.Add(parcalar[1]);
                        lsatis.Items.Add(parcalar[2]);
                    }
                }
            }
            catch {
                MessageBox.Show("Dosya Okunamadı!");
            }
        }

        private void bdyaz_Click(object sender, EventArgs e)
        {
            string yazi = "";

            for (int satir = 0; satir < lurun.Items.Count; satir++)
            {
                yazi += lurun.Items[satir] + ";" + lalis.Items[satir] + ";" + lsatis.Items[satir] + "\n";
            }

            try
            {
                File.WriteAllText("urunler.txt", yazi);
                MessageBox.Show("Dosyaya Yazıldı!");
            }
            catch
            {
                MessageBox.Show("Dosyaya Yazılamadı!");
            }
        }
        private void lurun_SelectedIndexChanged(object sender, EventArgs e)
        {
            ListBox lb = (ListBox)sender;
            lurun.SelectedIndex = lb.SelectedIndex;
            lalis.SelectedIndex = lb.SelectedIndex;
            lsatis.SelectedIndex = lb.SelectedIndex;
        }
    }
}
